@import '~@angular/material/prebuilt-themes/pink-bluegrey.css';

html,
body {
  margin: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}

a {
  color: #fff;
  text-decoration: none;
}

.mat-card {
  border-radius: 1px !important;
}

/* Material Design Tabs */
.mat-tab-header,
.mat-tab-nav-bar {
  border-bottom: none;
}

.mat-tab-group .mat-tab-label-active {
  background-color: #555;
}

.mat-tab-group.mat-primary .mat-ink-bar,
.mat-tab-nav-bar.mat-primary .mat-ink-bar {
  background-color: #333;
}

.mat-tab-group .mat-tab-label {
  min-width: 50px !important;
  padding: 0;
}

.mat-tab-body {
  /* background-color: #333; */
}

.mat-tab-body-wrapper {
  height: 100%;
}

/* / Material Design Tabs */

.single-annotation-card .mat-card-header-text {
  margin: 0 !important;
  width: 100% !important;
}

.mat-input-underline {
  background-color: white !important;
}

.mat-form-field-label {
  color: #fff !important;
}

.mat-form-field.mat-focused .mat-form-field-ripple {
  background-color: #aaa;
}

.mat-form-field-infix {
  width: 100% !important;
}

.chrome-picker {
  width: 100% !important;
}

#sidenav,
#editor,
#compilationBrowser {
  color: #fff;
  width: 300px;
  height: 100%;
  z-index: auto;
  background: rgba(0, 0, 0, 0.9);
  box-sizing: border-box;
  border: 0;
  padding: 0;
  overflow-y: auto;
}

#editor .material-icons {
  font-size: 20px;
}

#editor .mat-card,
#compilationBrowser .mat-card {
  background-color: rgba(0, 0, 0, 0);
}

#editor .mat-card:not(:last-child),
#compilationBrowser .mat-card:not(:last-child) {
  border-bottom: 1px solid #333;
}

#editor .mat-tab-group .mat-tab-label-active {
  background-color: rgba(0, 0, 0, 0.3);
}

#editor .mat-raised-button:not([disabled]),
#compilationBrowser .mat-raised-button:not([disabled]) {
  background-color: #333;
}

#editor .mat-card-avatar {
  height: 25px;
  width: 25px;
}

.mat-card-header .mat-card-title {
  font-size: 15px;
  font-weight: normal;
  word-wrap: break-word;
}

#editor .annotations-list .mat-card-header-text {
  margin: 0 0 0 15px;
}

#editor-metadata .mat-card-header-text,
#editor-modelsettings .mat-card-header-text,
#editor-about .mat-card-header-text,
#compilationBrowser .mat-card-header-text {
  margin: 0;
}

#editor-metadata .mat-card,
#editor-modelsettings .mat-card,
#editor-about .mat-card,
#compilationBrowser .mat-card {
  margin-bottom: 1px;
}

#editor-metadata .mat-card-content,
#editor-modelsettings .mat-card-content,
#editor-about .mat-card-content,
#compilationBrowser .mat-card-content {
  line-height: 23px;
}

.fullwidth-button {
  width: 100%;
}

#compilationBrowser .mat-raised-button:not([disabled]) .mat-icon {
  margin-right: 10px;
}

.cdk-overlay-dark-backdrop {
  background-color: rgba(0, 0, 0, 0.5);
}

.mat-dialog-container {
  background: #333;
  overflow: visible !important;
}

#annotation-content img,
.mat-dialog-content img,
.mat-card-content img {
  max-width: 100%;
}

#annotation-content a {
  color: #00afe7;
  border-bottom: 1px solid;
}

mat-card-content {
  position: relative;
}

.closeSidenav {
  position: absolute !important;
  top: 3px;
  right: 7px;
  z-index: 15;
}

.video {
  width: 100% !important;
}

/* Scrollbar style */
* {
  scrollbar-width: thin;
  scrollbar-color: #4a5b6c rgba(0, 0, 0, 0.3);
  -ms-overflow-style: -ms-autohiding-scrollbar;

  &::-webkit-scrollbar {
    width: 0.2rem;
  }
  &::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  }
  &::-webkit-scrollbar-thumb {
    background-color: #4a5b6c;
    outline: 1px solid #4a5b6c;
  }
}
